This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491609 - URL shown on Bare Metal Kickstart page results in 500 ISE
URL shown on Bare Metal Kickstart page results in 500 ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
: Regression
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-03-23 06:06 EDT by Jan Pazdziora
Modified: 2009-09-10 15:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-03-23 06:06:48 EDT
Description of problem:

I've created a kickstart profile. On

https://vmware139.englab.brq.redhat.com/rhn/kickstart/KickstartIpRangeEdit.do?ksid=1

there is URL

http://vmware139.englab.brq.redhat.com/ks/cfg/org/1/label/rhel-5-pv-guest

shown in the Bare Metal Kickstart section. When I try to GET that URL, I get

500 Error - Internal Server Error

Version-Release number of selected component (if applicable):

Satellite Satellite-5.3.0-RHEL5-re20090306.2 on i386

How reproducible:

Tried once.

Steps to Reproduce:
1. Create kickstart profile.
2. Go to the Kickstart Details > Bare Metal Kickstart
3. Take that URL with mouse and paste to browser's location bar.
  
Actual results:

500 Error - Internal Server Error

Expected results:

Kickstart file shown.

Additional info:

In the error_log, I see

[Mon Mar 23 11:07:27 2009] [error] Execution of /var/www/html/ks failed at Mon Mar 23 11:07:27 2009: argh, no idea how to handle subsys cfg at /usr/lib/perl5/vendor_perl/5.8.8/Sniglets/Kickstart.pm line 67.
[Mon Mar 23 11:07:27 2009] [error] Traceback sent to jpazdziora@redhat.com at /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm line 729.
[Mon Mar 23 11:07:30 2009] [error] returning 1 at /usr/lib/perl5/vendor_perl/5.8.8/RHN/Access.pm line 74.

and the traceback email says

The following exception occurred while executing this request:
 GET /ks/cfg/org/1/label/rhel-5-pv-guest HTTP/1.1 (from browser)
 /ks/cfg/org/1/label/rhel-5-pv-guest (from Apache)

Date:
  Mon Mar 23 11:07:27 2009

Headers:
  Accept: text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
  Accept-Charset: UTF-8,*
  Accept-Encoding: gzip,deflate
  Accept-Language: en,cs;q=0.5
  Connection: keep-alive
  Cookie: rh_omni_tc=70160000000H4AjAAK; s_vi=[CS]v1|44A8F82000004EB8-A170C0A0000058D[CE]; s_cc=true; s_sq=%5B%5BB%5D%5D
  Host: vmware139.englab.brq.redhat.com
  Keep-Alive: 300
  User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.8) Gecko/20071030 Galeon/2.0.3 Firefox/2.0.0.8

Form variables:


User Information:
(not logged in)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  argh, no idea how to handle subsys cfg at /usr/lib/perl5/vendor_perl/5.8.8/Sniglets/Kickstart.pm line 67.
Comment 1 Jan Pazdziora 2009-03-23 06:08:54 EDT
When I go to the Kickstart File page, the kickstart file is shown there OK, and when I hit the Download Kickstart File link on that page, I get the kickstart file as well. The URL there is

http://vmware139.englab.brq.redhat.com/cblr/svc/op/ks/profile/rhel-5-pv-guest:1:Miroslav-Suchy

thou, not

http://vmware139.englab.brq.redhat.com/ks/cfg/org/1/label/rhel-5-pv-guest
Comment 2 Partha Aji 2009-03-31 15:13:52 EDT
It is possible that this machine had an older satellite.. But this issue was fixed in http://git.fedorahosted.org/git/spacewalk.git?p=spacewalk.git;a=commit;h=4edc472cd6a0d206f05ce931d6c64b6268aaf6e8 . It this issue still persists in the current satellite fail it...
Comment 3 Steve Salevan 2009-04-14 17:10:58 EDT
Both links (direct and ip_range) for accessing Bare Metal Kickstart files work appropriately and do not result in ISE messages.  Moving to VERIFIED, tested on 530-re20090413.0.
Comment 4 Preethi Thomas 2009-08-05 14:19:13 EDT
Release Pending
test1182.test.redhat.com
Comment 5 Brandon Perkins 2009-09-10 15:24:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.